package com.kingdee.eas.custom.notify;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSendContextInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractSendContextInfo()
    {
        this("id");
    }
    protected AbstractSendContextInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:发送待办请求参数体's 待办来源property 
     */
    public String getAppName()
    {
        return getString("appName");
    }
    public void setAppName(String item)
    {
        setString("appName", item);
    }
    /**
     * Object:发送待办请求参数体's 模块名property 
     */
    public String getModelName()
    {
        return getString("modelName");
    }
    public void setModelName(String item)
    {
        setString("modelName", item);
    }
    /**
     * Object:发送待办请求参数体's 待办唯一标识property 
     */
    public String getModelId()
    {
        return getString("modelId");
    }
    public void setModelId(String item)
    {
        setString("modelId", item);
    }
    /**
     * Object:发送待办请求参数体's 标题property 
     */
    public String getSubject()
    {
        return getString("subject");
    }
    public void setSubject(String item)
    {
        setString("subject", item);
    }
    /**
     * Object:发送待办请求参数体's 链接property 
     */
    public String getLink()
    {
        return getString("link");
    }
    public void setLink(String item)
    {
        setString("link", item);
    }
    /**
     * Object:发送待办请求参数体's 待办类型property 
     */
    public com.kingdee.eas.custom.notify.bziEnum.SendTypeEnum getType()
    {
        return com.kingdee.eas.custom.notify.bziEnum.SendTypeEnum.getEnum(getInt("type"));
    }
    public void setType(com.kingdee.eas.custom.notify.bziEnum.SendTypeEnum item)
    {
		if (item != null) {
        setInt("type", item.getValue());
		}
    }
    /**
     * Object:发送待办请求参数体's 关键字property 
     */
    public String getKey()
    {
        return getString("key");
    }
    public void setKey(String item)
    {
        setString("key", item);
    }
    /**
     * Object:发送待办请求参数体's 参数1property 
     */
    public String getParam1()
    {
        return getString("param1");
    }
    public void setParam1(String item)
    {
        setString("param1", item);
    }
    /**
     * Object:发送待办请求参数体's 参数2property 
     */
    public String getParam2()
    {
        return getString("param2");
    }
    public void setParam2(String item)
    {
        setString("param2", item);
    }
    /**
     * Object:发送待办请求参数体's 待办所属对象property 
     */
    public String getTargets()
    {
        return getString("targets");
    }
    public void setTargets(String item)
    {
        setString("targets", item);
    }
    /**
     * Object:发送待办请求参数体's 待办创建者property 
     */
    public String getDocCreator()
    {
        return getString("docCreator");
    }
    public void setDocCreator(String item)
    {
        setString("docCreator", item);
    }
    /**
     * Object:发送待办请求参数体's 待办优先级property 
     */
    public com.kingdee.eas.custom.notify.bziEnum.LevelEnum getLevel()
    {
        return com.kingdee.eas.custom.notify.bziEnum.LevelEnum.getEnum(getInt("level"));
    }
    public void setLevel(com.kingdee.eas.custom.notify.bziEnum.LevelEnum item)
    {
		if (item != null) {
        setInt("level", item.getValue());
		}
    }
    /**
     * Object:发送待办请求参数体's 消息内容扩展property 
     */
    public String getExtendContent()
    {
        return getString("extendContent");
    }
    public void setExtendContent(String item)
    {
        setString("extendContent", item);
    }
    /**
     * Object:发送待办请求参数体's 扩展参数property 
     */
    public String getOthers()
    {
        return getString("others");
    }
    public void setOthers(String item)
    {
        setString("others", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("6D9DA5ED");
    }
}